<!-- Required for MRTG -->
<script src="./modules/servers/ovh_api/resources/js/highcharts.js"></script>
<!-- Table -->
<style>
.bsHeader {
	background: #337AB7;
	color: #FFF;
	text-align: right;
	border: 0 !important;
	font-weight: normal;
}
.bsTable {
  border-collapse: collapse;
  border-radius: 3px;
  border-style: hidden;
  box-shadow: 0 0 0 1px #337AB7;
}
</style>
{if isset($alert)}
	<div class="alert alert-{$alert.type} alert-dismissible fade in" role="alert">
	      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
	      <strong>{$alert.title}</strong>
	      <p>{$alert.message}</p>
	</div>
{/if}

<small style="text-align:center;">{$client.usage.used} / {$client.usage.max}</small>
<div class="progress">
	<div class="progress-bar" role="progressbar" aria-valuenow="{$client.usage.percent}" aria-valuemin="0" aria-valuemax="100" style="width:{$client.usage.percent}%">
		{$client.usage.percent|round}%
	</div>
</div>

<table class="table table-bordered bsTable">
	<tbody>
		<tr>
		   <th class="bsHeader">{$translate.PANEL_OperatingSystem}</th>
		   <td>{$client.os}</td>
		</tr>
		<tr>
		   <th class="bsHeader">{$translate.PANEL_IPv4Address}</th>
		   <td>{$client.ipv4}</td>
		</tr>
		<tr>
		   <th class="bsHeader">{$translate.PANEL_IPv6Address}</th>
		   <td>{$client.ipv6}</td>
		</tr>
		<tr>
		   <th class="bsHeader">{$translate.PANEL_Reverse}</th>
		   <td>{$client.reverse}</td>
		</tr>
	</tbody>
</table>
	
<div class="row">
	<div class="col-sm-6">
		<div class="form-group">
			<select id="mon_type" class="form-control" onchange="chart()">
			  <option value="cpu:max">CPU - Max</option>
			  <option value="cpu:used">CPU - Used</option>
			  <option value="mem:used" selected>RAM - Used</option>
				<option value="mem:max">RAM - Max</option>
				<option value="net:rx">Network</option>
			</select>
		</div>
	</div>
	
	<div class="col-sm-6">
		<div class="form-group">
			<select id="mon_period" class="form-control" onchange="chart()">
			  <option value="today">Today</option>
			  <option value="lastday">The last 24 hours</option>
			  <option value="lastweek">The last 7 days</option>
			  <option value="lastmonth" selected>The last month</option>
			  <option value="lastyear">The last 12 months</option>
			</select>
		</div>
	</div>
</div>

<div id="monitoring_container"></div>
<div id="mrtgRam" style="min-width: 310px; height: 250px; width:550px; margin: 0 auto"></div>
	
{literal}
	<script type="text/javascript">
$(function () {
  
				var rChart;
				
        $('#mrtgRam').highcharts({
				chart: {
					type: 'spline'
				},
				title: {
					text: '{/literal}{$translate.PANEL_Monitoring}{literal}'
				},
				credits: {
				      enabled: false
				},
				subtitle: {
					text: ''
				},
				turboThreshold: 0,
				xAxis: {
					type: 'datetime',
					dateTimeLabelFormats: {
						month: '%e. %b',
						year: '%b'
					},
					title: {
						text: 'Date'
					}
				},
				yAxis: {
					title: {
						text: ''
					},
					min: 0
				},
				tooltip: {
					headerFormat: '<b>{series.name}</b><br>',
					pointFormat: '{point.x:%e. %b}: {point.y:.2f} m'
				},
				series: {/literal}{$charts}{literal}
				});
        
				rChart = $('#mrtgRam').highcharts();		
        
				var HttpClient = function() {
				    this.get = function(aUrl, aCallback) {
				        var anHttpRequest = new XMLHttpRequest();
				        anHttpRequest.onreadystatechange = function() { 
				            if (anHttpRequest.readyState == 4 && anHttpRequest.status == 200)
				                aCallback(anHttpRequest.responseText);
				        }
				        anHttpRequest.open( "GET", aUrl, true );            
				        anHttpRequest.send( null );
				    }
				}
   
				chart = function() {
						aClient = new HttpClient();
						
						aClient.get(encodeURI(window.location.href +"&getChart="+document.getElementById("mon_type").value+"&period="+document.getElementById("mon_period").value), function(response) {
								var data = JSON.parse(response);
								while(rChart.series.length > 0)
								{
								    rChart.series[0].remove(true);
								}
							  rChart.addSeries(data);
								
						});
				}
        
	});//end script
	</script>
{/literal}