CREATE TABLE IF NOT EXISTS `ovh_email` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(150) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
---
INSERT INTO `ovh_email` (`name`, `subject`, `content`) VALUES
('adminEmailUsername', '', ''),
('dedicated_installation', 'Installation on your dedicated server', '&lt;p&gt;Dear {$client_name},&lt;br /&gt;&lt;br /&gt;Your Dedicated server was installed on with the following credentials:&lt;/p&gt;\n&lt;p&gt;IP Address: &lt;span class=&quot;ng-binding ng-scope&quot;&gt;{$ovh_ipv4}&lt;/span&gt;&lt;br /&gt;Username: {$ovh_username}&lt;br /&gt;Password: {$ovh_password}&lt;br /&gt;&lt;br /&gt;Please do not respond to this email directly as it is automated. For assistance please contact our support department through the portal.&amp;nbsp;&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}&lt;/p&gt;'),
('dedicated_installation_error', 'Installation error on your dedicated server!', 'Dear {$client_name},&lt;br /&gt;&lt;br /&gt;Attention!&lt;br /&gt;&lt;br /&gt;Your Dedicated server failed to install&amp;nbsp;on {$ovh_ipv4}. Try to reinstall the dedicated server again or contact us for further assistance.&lt;br /&gt;&lt;br /&gt;Please do not respond to this email directly as it is automated. For assistance please contact our support department through the portal.&amp;nbsp;&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}'),
('dedicated_pwd_reset', 'Password Reset', '{$client_name},&lt;br /&gt;&lt;br /&gt;You have requested a password reset for your server at {$ovh_ipv4}. The credentials are listed below:&lt;br /&gt;&lt;br /&gt;Username: {$ovh_username}&lt;br /&gt;Password: {$ovh_password}&lt;br /&gt;&lt;br /&gt;Please do not respond to this email directly. If you need assistance please open a support ticket and we will be happy to assist you.&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}'),
('dedicated_reboot', 'Hardware reboot on your dedicated server!', '&lt;p&gt;Dear {$client_name},&lt;br /&gt;&lt;br /&gt;You have requested a remote hardware reboot for your server. We have fulfilled your request and your server responds to ping. You may now connect to your server.&lt;br /&gt;&lt;br /&gt;Please do not respond to this email directly as it is automated. For assistance please contact our support department through the portal.&amp;nbsp;&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}&lt;/p&gt;'),
('ip_dedicated_attack', 'Detection of attack on IP', '&lt;p class=&quot;p1&quot;&gt;{$client_name},&lt;/p&gt;\n&lt;p class=&quot;p2&quot;&gt;We have just detected an attack on IP address {$ovh_ipv4}. In order to protect your infrastructure, we vacuumed up your traffic onto our mitigation infrastructure. The entire attack will thus be filtered by our infrastructure, and only legitimate traffic will reach your servers.&lt;/p&gt;\n&lt;p class=&quot;p2&quot;&gt;At the end of the attack, your infrastructure will be immediately withdrawn from the mitigation.&lt;/p&gt;\n&lt;p class=&quot;p2&quot;&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}&lt;/p&gt;'),
('ip_dedicated_endattack', 'End of Attack on IP', '{$client_name},&lt;br /&gt;&lt;br /&gt;\n&lt;div&gt;We are no longer able to detect any attack on IP address {$ovh_ipv4}&lt;/div&gt;\n&lt;div&gt;&amp;nbsp;&lt;/div&gt;\n&lt;div&gt;&amp;nbsp;&lt;/div&gt;\n&lt;div&gt;Your infrastructure has now been withdrawn from our mitigation system.&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}&lt;/div&gt;'),
('ip_spam_detected', 'Spam detected on your IP Address', 'Dear {$client_name},&lt;br /&gt;&lt;br /&gt;Our anti-spam protection layer has detected that your IP {$ovh_ipv4} is sending spam.&lt;br /&gt;&lt;br /&gt;In order to protect our network, we have blocked port {$ovh_port} of your server, at the network level.&lt;br /&gt;&lt;br /&gt;To help you investigate this issue and fix it, here is a sample of some advanced details about your emails:&lt;br /&gt;&lt;br /&gt;{$ovh_report}&lt;br /&gt;&lt;br /&gt;If you identified the issue, you can unblock your IP using your manager.&lt;br /&gt;&lt;br /&gt;Please do not respond directly to this email. If you need assistance please submit a support ticket.&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}'),
('rescue_mode_dedicated', 'Access Settings for Rescue Mode - Critical', 'Dear {$client_name},&lt;br /&gt;&lt;br /&gt;Your server has started in &#039;Rescue&#039; mode. This has either been requested by you in the Manager or a technician has had to do this because of an error that needs to be resolved in Rescue mode.&lt;br /&gt;&lt;br /&gt;This mode means that a basic Linux/BSD system has been launched on your server through the network. This is not the system installed on your server and none of your disks have been mounted.&lt;br /&gt;&lt;br /&gt;Username:&amp;nbsp;&lt;span class=&quot;ng-binding ng-scope&quot;&gt;&amp;nbsp; &amp;nbsp; &amp;nbsp; &amp;nbsp; &amp;nbsp; &amp;nbsp;{$ovh_username} &lt;/span&gt;&lt;br /&gt;Password:&amp;nbsp;&lt;span class=&quot;ng-binding ng-scope&quot;&gt;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; {$ovh_password} &lt;/span&gt;&lt;br /&gt;&lt;br /&gt;You may connect to your server through SSH with {$ovh_webip}&lt;br /&gt;&lt;br /&gt;Please do not respond to this email directly as it is automated. For assistance please contact our support department through the portal.&amp;nbsp;&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}'),
('rescue_mode_vps', 'Access Settings for Rescue Mode - Crticial', '{$client_name},&lt;br /&gt;&lt;br /&gt;Your VPS &amp;nbsp;at {$ovh_ipv4} has entered into Rescue Mode. Below are the credentials to connect to your server to fix or perform rescuse mode functions:&lt;br /&gt;&lt;br /&gt;IP: &lt;span class=&quot;ng-binding ng-scope&quot;&gt;{$ovh_ipv4}&lt;/span&gt;&lt;br /&gt;Username: {$ovh_username}&lt;br /&gt;Password: {$ovh_password}&lt;br /&gt;&lt;br /&gt;Please do not respond to this email since it is automated. For further assistance please submit a support ticket.&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}&lt;br /&gt;&lt;br /&gt;'),
('vps_installation', 'Installation of your VPS', 'Dear {$client_name},&lt;br /&gt;&lt;br /&gt;Your VPS was installed on {$ovh_distribution} with the following credentials:&lt;br /&gt;&lt;br /&gt;IP Address:&amp;nbsp;{$ovh_ipv4}&lt;br /&gt;Username:&amp;nbsp;{$ovh_username}&lt;br /&gt;Password: {$ovh_password}&lt;br /&gt;&lt;br /&gt;Please do not respond to this email directly as it is automated. For assistance please contact our support department through the portal.&amp;nbsp;&lt;br /&gt;&lt;br /&gt;Regards,&lt;br /&gt;&lt;br /&gt;{$company_name}');
